%{!?_texmf: %global _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

# TODO: dep on biber (?)
# TODO: add docs subpackage
# TODO: obsolete the texlive-biblatex package (?)
# TODO: delete from monolithic texlive.spec
# TODO: Investigate the various texlive-biblatex-* style packages
#       Can they stay in texlive?  are they subpackages of this?

Name: tex-biblatex
License: LPPL
Summary: Bibliographies in LaTeX using BibTeX for sorting only
Version: 3.9
Release: 1%{?dist}
BuildArch: noarch
URL: http://www.ctan.org/tex-archive/help/Catalogue/entries/biblatex.html
Source0: https://sourceforge.net/projects/biblatex/files/biblatex-%{version}/biblatex-%{version}.tgz
Source1: lppl1.3.txt
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: biber >= 2.9
Requires: tex(standard.bbx)
Requires: tex(authoryear.bbx)
Requires: tex(biblatex.sty)
Requires: tex(etoolbox.sty)
Requires: tex(keyval.sty)
Requires: tex(logreq.sty)
Requires: tex(ifthen.sty)
Requires: tex(url.sty)
Requires: tex(kvoptions.sty)
Requires: tex(xstring.sty)
Requires: tex(polyglossia.sty)
Requires: tex(babel.sty)
Requires: tex(csquotes.sty)
Requires: tex(xpatch.sty)
Requires: tex(authortitle.cbx)
Provides: tex(alphabetic-verb.bbx)
Provides: tex(alphabetic.bbx)
Provides: tex(authortitle-comp.bbx)
Provides: tex(authortitle-ibid.bbx)
Provides: tex(authortitle-icomp.bbx)
Provides: tex(authortitle-tcomp.bbx)
Provides: tex(authortitle-terse.bbx)
Provides: tex(authortitle-ticomp.bbx)
Provides: tex(authortitle.bbx)
Provides: tex(authoryear-comp.bbx)
Provides: tex(authoryear-ibid.bbx)
Provides: tex(authoryear-icomp.bbx)
Provides: tex(authoryear.bbx)
Provides: tex(debug.bbx)
Provides: tex(draft.bbx)
Provides: tex(numeric-comp.bbx)
Provides: tex(numeric-verb.bbx)
Provides: tex(numeric.bbx)
Provides: tex(reading.bbx)
Provides: tex(standard.bbx)
Provides: tex(verbose-ibid.bbx)
Provides: tex(verbose-inote.bbx)
Provides: tex(verbose-note.bbx)
Provides: tex(verbose-trad1.bbx)
Provides: tex(verbose-trad2.bbx)
Provides: tex(verbose-trad3.bbx)
Provides: tex(verbose.bbx)
Provides: tex(biblatex.cfg)
Provides: tex(biblatex.def)
Provides: tex(biblatex.sty)
Provides: tex(blx-bibtex.def)
Provides: tex(blx-compat.def)
Provides: tex(blx-dm.def)
Provides: tex(blx-mcite.def)
Provides: tex(blx-natbib.def)
Provides: tex(alphabetic-verb.cbx)
Provides: tex(alphabetic.cbx)
Provides: tex(authortitle-comp.cbx)
Provides: tex(authortitle-ibid.cbx)
Provides: tex(authortitle-icomp.cbx)
Provides: tex(authortitle-tcomp.cbx)
Provides: tex(authortitle-terse.cbx)
Provides: tex(authortitle-ticomp.cbx)
Provides: tex(authortitle.cbx)
Provides: tex(authoryear-comp.cbx)
Provides: tex(authoryear-ibid.cbx)
Provides: tex(authoryear-icomp.cbx)
Provides: tex(authoryear.cbx)
Provides: tex(debug.cbx)
Provides: tex(draft.cbx)
Provides: tex(numeric-comp.cbx)
Provides: tex(numeric-verb.cbx)
Provides: tex(numeric.cbx)
Provides: tex(reading.cbx)
Provides: tex(verbose-ibid.cbx)
Provides: tex(verbose-inote.cbx)
Provides: tex(verbose-note.cbx)
Provides: tex(verbose-trad1.cbx)
Provides: tex(verbose-trad2.cbx)
Provides: tex(verbose-trad3.cbx)
Provides: tex(verbose.cbx)


%description
The biblatex package is a complete reimplementation of the
bibliographic facilities provided by LaTeX.


%prep
%setup -q -c
cp %{SOURCE1} .


%install
mkdir -p %{buildroot}%{_texmf}/tex/latex/biblatex
mkdir -p %{buildroot}%{_texmf}/bibtex/bst/biblatex
mkdir -p %{buildroot}%{_texmf}/bibtex/bib/biblatex
cp -r biblatex/latex/* %{buildroot}%{_texmf}/tex/latex/biblatex/
cp -r biblatex/bibtex/bib/* %{buildroot}%{_texmf}/bibtex/bib/biblatex/
cp -r biblatex/bibtex/bst/* %{buildroot}%{_texmf}/bibtex/bst/biblatex/


%files
%license lppl1.3.txt
%{_texmf}/bibtex/bib/biblatex/
%{_texmf}/bibtex/bst/biblatex/
%{_texmf}/tex/latex/biblatex/


%changelog
* Wed Mar 28 2018 Colin B. Macdonald <cbm@m.fsf.org> - 3.9-1
- Version bump

* Thu Nov 23 2017 Colin B. Macdonald <cbm@m.fsf.org> - 3.8a-r1
- Initial testing
